const fs = require("fs");
const path = require("path");

const ruleFiles = fs
  .readdirSync(path.join(__dirname, "rules"));

const rules = Object.fromEntries(
  ruleFiles.map((file) => [path.basename(file, ".cjs"), require(path.join(__dirname, 'rules', file))])
);

module.exports = { rules };